org.springframework.batch.sample.domain.trade

## Class Trade

- java.lang.Object
- - org.springframework.batch.sample.domain.trade.Trade

- All Implemented Interfaces:
    java.io.Serializable

      public class Trade
      extends java.lang.Object
      implements java.io.Serializable

  Author:
    Rob Harrop, Dave Syer
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Trade()`
    `Trade(long id)`
    `Trade(java.lang.String isin, long quantity, java.math.BigDecimal price, java.lang.String customer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getCustomer()`
    `long` | `getId()`
    `java.lang.String` | `getIsin()`
    `java.math.BigDecimal` | `getPrice()`
    `long` | `getQuantity()`
    `long` | `getVersion()`
    `int` | `hashCode()`
    `void` | `setCustomer(java.lang.String customer)`
    `void` | `setId(long id)`
    `void` | `setIsin(java.lang.String isin)`
    `void` | `setPrice(java.math.BigDecimal price)`
    `void` | `setQuantity(long quantity)`
    `void` | `setVersion(long version)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Trade

          public Trade()

    - #### Trade

          public Trade(java.lang.String isin,
                       long quantity,
                       java.math.BigDecimal price,
                       java.lang.String customer)

    - #### Trade

          public Trade(long id)

      Parameters:
        `id` -

  - ### Method Detail

    - #### getId

          public long getId()

    - #### setId

          public void setId(long id)

    - #### getVersion

          public long getVersion()

    - #### setVersion

          public void setVersion(long version)

    - #### setCustomer

          public void setCustomer(java.lang.String customer)

    - #### setIsin

          public void setIsin(java.lang.String isin)

    - #### setPrice

          public void setPrice(java.math.BigDecimal price)

    - #### setQuantity

          public void setQuantity(long quantity)

    - #### getIsin

          public java.lang.String getIsin()

    - #### getPrice

          public java.math.BigDecimal getPrice()

    - #### getQuantity

          public long getQuantity()

    - #### getCustomer

          public java.lang.String getCustomer()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`